Bug 731291 - RuntimeError: Returning partitions to state prior to edit failed
Summary: RuntimeError: Returning partitions to state prior to edit failed
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: anaconda
Version: 6.2
Hardware: ppc64
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Anaconda Maintenance Team
QA Contact: Release Test Team
URL:
Whiteboard: abrt_hash:7f22e1cb5fc735c631e797c8008...
Depends On:
Blocks: 691780 731389
TreeView+ depends on / blocked
 
Reported: 2011-08-17 09:48 UTC by Ľuboš Kardoš
Modified: 2016-08-01 01:26 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 731389 (view as bug list)
Environment:
Last Closed: 2011-08-24 13:15:00 UTC


Attachments (Terms of Use)

Description Ľuboš Kardoš 2011-08-17 09:48:17 UTC
abrt version: 2.0.5
executable:     /mnt/runtime/usr/bin/python
hashmarkername: anaconda
kernel:         2.6.32-184.el6.ppc64
product:        Red Hat Enterprise Linux
reason:         RuntimeError: Returning partitions to state prior to edit failed
time:           Wed Aug 17 01:45:50 2011
version:        6.2

description:
:The following was filed automatically by anaconda:
:anaconda 13.21.127 exception report
:Traceback (most recent call first):
:  File "/usr/lib/anaconda/iw/partition_gui.py", line 1698, in editPartition
:    raise RuntimeError, ("Returning partitions to state "
:  File "/usr/lib/anaconda/iw/partition_gui.py", line 1539, in createCB
:    self.editPartition(member, isNew = True, restrictfs=["lvmpv"])
:RuntimeError: Returning partitions to state prior to edit failed

Comment 2 Ľuboš Kardoš 2011-08-17 10:33:03 UTC
Partitioning:
Create:
-ppc prep boot partition
-boot partition
-two raid partitions
-LVM physical volume, tick fill maximum allowable size
-raid device, tick all previosly created raid partitions as raid members, set file system type: physical volume (LVM)
-LVM volume group, tick previosly created physical volumes

Then try to add to add another physical volume, message no available space is showed and the exception is occured.

Comment 3 David Lehman 2011-08-17 15:51:28 UTC
There should be a file in /tmp with a name like anaconda-tb-<random string>. Please attach that file to this bug report.

Comment 4 Ľuboš Kardoš 2011-08-24 07:23:28 UTC
I have tested this on a release which is not available now. On the newer release I can not reproduce this problem.

Comment 5 David Cantrell 2011-08-24 13:15:00 UTC
Closing per comment #4.


Note You need to log in before you can comment on or make changes to this bug.